Package Details: opensnitch-git 1.3.6.r18.4532c25-1

Git Clone URL: https://aur.archlinux.org/opensnitch-git.git (read-only, click to copy)
Package Base: opensnitch-git
Description: A GNU/Linux port of the Little Snitch application firewall
Upstream URL: https://github.com/evilsocket/opensnitch
Licenses: GPL3
Conflicts: opensnitch
Provides: opensnitch
Submitter: None
Maintainer: lsf
Last Packager: lsf
Votes: 29
Popularity: 1.93
First Submitted: 2017-05-03 14:15
Last Updated: 2021-02-26 15:44

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

yochananmarqos commented on 2020-12-09 00:12

@rtt: Do not flag VCS packages out of date when you have a build issue, post a comment instead. You did so, but the error seems to be because you need to rebuild your Python packages for Python 3.9.

@lsf: You can orphan it if you don't want responsibility anymore, no worries.

lsf commented on 2020-12-08 23:42

@rrt

can't reproduce this – did you rebuild opensnitch-git and/or any aur python dependencies befor this occured?

@L0-FF: it should be noted that @yochananmarqos pretty much took over quite a while ago and does a much better job at maintaining than I ever did – if it's fine with them, I'd disown the package so they'll get their well-deserved creds ;)

(I'd still try to help out whenever I can, though, of course!)

rrt commented on 2020-12-08 19:20

mr tmp $ pacman -Si python-grpcio
Repository      : community
Name            : python-grpcio
Version         : 1.34.0-3
...
mr tmp $ cat test.py
#!/usr/bin/python3

import grpc

print("grpc")
mr tmp $ python /tmp/test.py
grpc
mr tmp $ python --version
Python 3.9.0
mr tmp $ pacman -Qi opensnitch-git
Name            : opensnitch-git
Version         : 1.3.0.rc.1.r0.cdea3b5-1
...
mr tmp $ opensnitch-ui 
Traceback (most recent call last):
  File "/bin/opensnitch-ui", line 22, in <module>
    from opensnitch.service import UIService
ModuleNotFoundError: No module named 'opensnitch'

My solution is to downgrade to opensnitch non git version:

==> Making package: opensnitch 1.3.0_rc2-1 (Tue 08 Dec 2020 02:11:50 PM EST)
...
Packages (2) opensnitch-git-1.3.0.rc.1.r0.cdea3b5-1 [removal]  opensnitch-1.3.0_rc2-1
....
$ pacman -Qi opensnitch
Name            : opensnitch
Version         : 1.3.0_rc2-1
...
$ opensnitch-ui
new node connected, listening for client responses... /tmp/osui.sock

L0-FF commented on 2020-12-07 18:01

Oops. Last time I checked there wasn't one... seems someone's already packaged up the 1.3.0rc version.

Here: https://aur.archlinux.org/packages/opensnitch/

L0-FF commented on 2020-12-07 17:41

@lsf,

I'm going to package the 1.3.0+(rc --ongoing) version. If you'd interesting in co-maintaining, let me know.

dszryan commented on 2020-12-06 23:40

for some reason the python-grpcio-tools dependency was not picked up... is it a make or a runtime dependency? install worked after a manual install of https://aur.archlinux.org/packages/python-grpcio-tools/

crabvk commented on 2020-12-05 03:30

@gvl
Hi. You may downgrade python-grpcio to 1.33.2 https://archive.archlinux.org/packages/p/python-grpcio/python-grpcio-1.33.2-3-x86_64.pkg.tar.zst

qvl commented on 2020-12-05 01:34

Traceback (most recent call last):
  File "/usr/bin/opensnitch-ui", line 16, in <module>
    import grpc
  File "/usr/lib/python3.9/site-packages/grpc/__init__.py", line 23, in <module>
    from grpc._cython import cygrpc as _cygrpc
ImportError: /usr/lib/python3.9/site-packages/grpc/_cython/cygrpc.cpython-39-x86_64-linux-gnu.so: undefined symbol: RunningOnValgrind

LibreHacker commented on 2020-12-04 20:37

Hello, read it https://github.com/gustavo-iniguez-goya/opensnitch/issues/92

Need your help.

lsf commented on 2020-12-03 21:53

This might've been caused by the python version update (3.8 => 3.9) – all python packages from the AUR need to be rebuilt if they weren't updated recently.

Something like pacman -Qoq /usr/lib/python3.8/ | paru -S --rebuild - should do the trick (use your prefered aur wrapper instead of paru, if you're using a different one).